<?php
session_start();
$time_start = microtime(true); 
include "../../inc/config.php";
session_check();
require('../../lib/simplexlsx.class.php');
switch ($_GET["act"]) {
  case 'delete_error':
    $db->fetch_custom("delete from mat_rencana_pembelajaran where status_error=2 and kode_jurusan='".$_POST['id']."'");
    break;
    case 'delete_all':
  
    $status = $_POST['status'];
    if ($status=='all') {
        $status = '';
    } elseif ($status=='0') {
        $status = "and status_error ='0'";
    } elseif ($status=='1') {
        $status = "and status_error ='1'";
    } elseif ($status=='2') {
        $status = "and status_error ='2'";
    }

    if ($_POST['jurusan']=='all') {
        $jurusan = "";

    } else {
        $jurusan = "and kode_jurusan='".$_POST['jurusan']."'";
    }


    if ($status=="" && $jurusan=="") {
       if ($_SESSION['level']==1) {
         $db->fetch_custom("TRUNCATE `mat_rencana_pembelajaran`");
       } else {
          $db->fetch_custom("delete from mat_rencana_pembelajaran where kode_jurusan='".$_SESSION['jurusan']."'");
       }
    } else {
      $ids = $db->fetch_custom("select id from mat_rencana_pembelajaran where id!='' $semester $jurusan $status");
      foreach ($ids as $id) {
        $id_delete[] = $id->id;
      }
        $data_id = implode(",", $id_delete);
       $data_mhs_pt = $db->fetch_custom("delete from mat_rencana_pembelajaran where id!='' $semester $jurusan $status and id in ($data_id)");
    }

    break;
  case "in":

  $data = array(
    "kode_mk"=>$_POST["kode_mk"],
    "nama_mk"=>$_POST["nama_mk"],
    "pertemuan"=>$_POST["pertemuan"],
    "materi_indonesia"=>$_POST["materi_indonesia"],
    "materi_inggris"=>$_POST["materi_inggris"],
    "kode_jurusan" => $_POST['jurusan']
  );
  
  
  
   
    $in = $db->insert("mat_rencana_pembelajaran",$data);
    
    if ($in=true) {
      echo "good";
    } else {
      return false;
    }
    break;
      case 'del_massal':
    $data_ids = $_REQUEST['data_ids'];
    if(trim($data_ids)!="") {
        $delete =  $db->fetch_custom("delete from mat_rencana_pembelajaran where id in ($data_ids)");
    }
    break;
  case 'import':
   if (!preg_match("/.(xls|xlsx)$/i", $_FILES["semester"]["name"]) ) {

              echo "pastikan file yang anda pilih xls|xlsx";
              exit();

            } else {
              move_uploaded_file($_FILES["semester"]["tmp_name"], "../../../upload/matakuliah/".$_FILES['semester']['name']);
              $semester = array("semester"=>$_FILES["semester"]["name"]);

            }



$error_count = 0;
$error = array();
$sukses = 0;
$values = "";
$insert_data = array();

  $Reader = new SimpleXLSX("../../../upload/matakuliah/".$_FILES['semester']['name']);
  foreach( $Reader->rows() as $key => $val ) {
      if ($key>0) {
        if ($val[0]!="") {
          $check = $db->check_exist('mat_rencana_pembelajaran',
            array(
              'kode_mk' => $db->trimmer($val[0]),
              'pertemuan'=> $db->trimmer($val[2]),
              'kode_jurusan' => $db->trimmer($val[5])
            ));
            if ($check==true) {
              $error_count++;
              $error[] = $val[1]."Pertemuan ".$val[2]." Sudah Ada";
            } else {
              $sukses++;
                $insert_data[] = array(
                  'kode_mk' => $db->trimmer($val[0]),
                  'nama_mk' => $db->trimmer($val[1]),
                  'pertemuan' => $db->trimmer($val[2]),
                  'materi_indonesia' => $db->trimmer($val[3]),
                  'materi_inggris' => $db->trimmer($val[4]),
                  'kode_jurusan' => $db->trimmer($val[5])
                );
              }
      }
    }
}


if (!empty($insert_data)) {
  $db->insertMulti('mat_rencana_pembelajaran',$insert_data);
}
    unlink("../../../upload/matakuliah/".$_FILES['semester']['name']);
    $msg = '';
$time_end = microtime(true);
$execution_time = ($time_end - $time_start);
if (($sukses>0) || ($error_count>0)) {
  $msg =  "<div class=\"alert alert-warning alert-dismissible\" role=\"alert\" >
  <button type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-hidden=\"true\">×</button>
      <font color=\"#3c763d\">".$sukses." data Rencana Pembelajaran baru berhasil di import</font><br />
      <font color=\"#ce4844\" >".$error_count." data tidak bisa ditambahkan </font>";
      if (!$error_count==0) {
        $msg .= "<a data-toggle=\"collapse\" href=\"#collapseExample\" aria-expanded=\"false\" aria-controls=\"collapseExample\">Detail error</a>";
      }
      //echo "<br />Total: ".$i." baris data";
      $msg .= "<div class=\"collapse\" id=\"collapseExample\">";
          $i=1;
          foreach ($error as $pesan) {
              $msg .= "<div class=\"bs-callout bs-callout-danger\">".$i.". ".$pesan."</div><br />";
            $i++;
            }
      $msg .= "</div>
    </div>";
            $msg .= "<p>Total Waktu Import : ". waktu_import($execution_time);
}
  echo $msg;
    break;
  case "delete":
    
    
    
    $db->delete("mat_rencana_pembelajaran","id",$_GET["id"]);
    break;
  case "up":
  $data = array(
    "kode_mk"=>$_POST["kode_mk"],
    "nama_mk"=>$_POST["nama_mk"],
    "pertemuan"=>$_POST["pertemuan"],
    "materi_indonesia"=>$_POST["materi_indonesia"],
    "materi_inggris"=>$_POST["materi_inggris"],
    "kode_jurusan" => $_POST['jurusan']
  );
    
    $up = $db->update("mat_rencana_pembelajaran",$data,"id",$_POST["id"]);
    if ($up=true) {
      echo "good";
    } else {
      return false; 
    }
    break;
  default:
    # code...
    break;
}

?>